% =============================================== %
% evaluates the function phi_j or its derivative
% of the type d at the point x
% =============================================== %

function res = evaluate_reference_basis_function(j, d, x, monomials, B)

% Input: j in {1, ..., 21}, the function to evaluate
%        d in {1, ..., 6},  the kind of the derivative
%        x in Tref,         the point under consideration
%        monomials,         the cell array containing the functions
%        B,                 the coefficients

inds = find(B(j, :)~=0);
nnzs = size(inds, 2);

monomial_eval = zeros(nnzs, 1);

for k = 1:nnzs
    monomial_eval(k) = monomials{inds(k), d}(x);
end

res = B(j, inds)*monomial_eval;




end